### Home Classes Methods

### In Files

- lib/ffi/autopointer.rb

### Parent

FFI::AutoPointer::Releaser

### Methods

- #release

### Files

- Makefile
- LICENSE
- compile
- configure
- depcomp
- stamp-vti
- install-sh
- libtool-version
- mdate-sh
- missing

### Class/Module Index

Quicksearch

- FFI
- FFI::ArrayType
- FFI::AutoPointer
- FFI::AutoPointer::CallableReleaser
- FFI::AutoPointer::DefaultReleaser
- FFI::AutoPointer::Releaser
- FFI::ConstGenerator
- FFI::ConstGenerator::Constant
- FFI::DynamicLibrary
- FFI::DynamicLibrary::Symbol
- FFI::Enum
- FFI::Enums
- FFI::Function
- FFI::Generator
- FFI::Generator::Task
- FFI::IO
- FFI::ManagedStruct
- FFI::Platform
- FFI::PlatformError
- FFI::Pointer
- FFI::StrPtrConverter
- FFI::Struct
- FFI::Struct::InlineArray
- FFI::Struct::ManagedStructConverter
- FFI::StructByReference
- FFI::StructByValue
- FFI::StructGenerator
- FFI::StructGenerator::Field
- FFI::StructLayout
- FFI::StructLayout::Enum
- FFI::StructLayout::InnerStruct
- FFI::StructLayout::Mapped
- FFI::StructLayoutBuilder
- FFI::TypesGenerator
- FFI::Union
- FFI::VariadicInvoker

No matching classes.

# FFI::AutoPointer::DefaultReleaser

DefaultReleaser is a {Releaser} used when an {AutoPointer} is defined without Proc or Method. In this case, the pointer to release must be of a class derived from AutoPointer with a `#release` class method.

### Public Instance Methods

release(ptr) click to toggle source

@param [Pointer] ptr @return [nil] Release `ptr` by using his release class method.

    # File lib/ffi/autopointer.rb, line 156
    def release(ptr)
      @proc.release(ptr)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.